function addSaleRow() {
  var table = document.getElementById("saleItem");
  var newRow = document.createElement("tr");
  newRow.innerHTML = `
    <td><input type="checkbox" class="itemRow custom-control-input" name="delete[]" id="itemRow_1"> <label class="custom-control-label" for="itemRow_1"></label></td>
    <td><div class="col-lg-12"><div class="row mb-3"><div class="col-sm-12"><input type="text" class="form-control" name="item_name[]" placeholder="Item" id="item"></div></div></div></td>
    <td><div class="col-lg-12"><div class="row mb-3"><div class="col-sm-12"><input type="number" class="unit_price form-control" name="unit_price[]" placeholder="Price" id="unit_price"></div></div></div></td>
    <td><div class="col-lg-12"><div class="row mb-3"><div class="col-sm-12"><input type="number" class="quantity form-control" name="quantity[]" id="quantity" placeholder="Quantity"></div></div></div></td>
  <td><div class="col-lg-12"><div class="row mb-3"><div class="col-sm-12"><input type="text" class="amount form-control" name="amount[]" value="" id="amount" readonly=""></div></div></div></td>
  `;
  table.querySelector("tbody").appendChild(newRow);
}

function updateProduct(unit_price, quantity, amount) {
  if (!unit_price || !quantity || !amount) {
    return;
  }
  var priceValue = parseFloat(unit_price.value) || 0;
  var quantityValue = parseFloat(quantity.value) || 0;
  amount.value = (priceValue * quantityValue).toFixed(2);

  var table = document.getElementById("saleItem");
  var allTotals = table.querySelectorAll(".amount");
  var grandTotal = 0;

  for (var i = 0; i < allTotals.length; i++) {
    var currentTotal = parseFloat(allTotals[i].value);
    if (!isNaN(currentTotal)) {
      grandTotal += currentTotal;
    }
  }
  var grandTotalField = document.getElementById("grandTotal");
  grandTotalField.value = grandTotal.toFixed(2);
  updateChange();
}

document.addEventListener("input", function (event) {
  var row = event.target.closest("tr");
  if (row) {
    var unit_price = row.querySelector(".unit_price");
    var quantity = row.querySelector(".quantity");
    var amount = row.querySelector(".amount");
    updateProduct(unit_price, quantity, amount);
  }
});

function updateChange() {
  var grandTotal = document.getElementById("grandTotal").value;
  var amountPaid = document.getElementById("amountPaid").value;
  var changeResult = amountPaid - grandTotal;
  document.getElementById("changeResult").value = changeResult.toFixed(2);
}

function deleteSaleRows() {
  var table = document.getElementById("saleItem");
  var checkboxes = table.querySelectorAll('input[type="checkbox"][name="delete[]"]');
  for (var i = checkboxes.length - 1; i >= 0; i--) {
    if (checkboxes[i].checked) {
      table.deleteRow(i + 1);
    }
  }
  var allTotals = table.querySelectorAll(".amount");
  var grandTotal = 0;

  for (var i = 0; i < allTotals.length; i++) {
    var currentTotal = parseFloat(allTotals[i].value);
    if (!isNaN(currentTotal)) {
      grandTotal += currentTotal;
    }
  }

  var grandTotalField = document.getElementById("grandTotal");
  grandTotalField.value = grandTotal.toFixed(2);
}



 
