<?php
session_start();
error_reporting(0);

if (!isset($_SESSION['userEmail']) || strlen($_SESSION['userEmail']) == 0) {
    header('Location: ../user-authentication.php');
    exit();
}
else {
    include("includes/DbConnect.php");
    if(isset($_POST['updateReceipt'])) {
    $id=intval($_GET['id']); 
    $id=$_GET['id'];
    $receiptNumber = $_POST['receiptNumber'];
    
    $myStatement = $dbConn->prepare("UPDATE tblreceipts SET receiptNumber =:receiptNumber, issueDate =:issueDate, companyName =:companyName, companyEmail =:companyEmail, companyPhone =:companyPhone, companyAddress =:companyAddress, customerName =:customerName, customerEmail =:customerEmail, customerPhone =:customerPhone, customerAddress =:customerAddress, currencySymbol =:currencySymbol, totalAmount =:totalAmount, amountPaid =:amountPaid, balanceResult =:balanceResult");

    $myStatement->bindParam(':receiptNumber', $receiptNumber);
    $myStatement->bindParam(':issueDate', $_POST['issueDate']);
    $myStatement->bindParam(':companyName', $_POST['companyName']);
    $myStatement->bindParam(':companyEmail', $_POST['companyEmail']);
    $myStatement->bindParam(':companyPhone', $_POST['companyPhone']);
    $myStatement->bindParam(':companyAddress', $_POST['companyAddress']);
    $myStatement->bindParam(':customerName', $_POST['customerName']);
    $myStatement->bindParam(':customerEmail', $_POST['customerEmail']);
    $myStatement->bindParam(':customerPhone', $_POST['customerPhone']);
    $myStatement->bindParam(':customerAddress', $_POST['customerAddress']);
    $myStatement->bindParam(':currencySymbol', $_POST['currencySymbol']);
    $myStatement->bindParam(':totalAmount', $_POST['totalAmount']);
    $myStatement->bindParam(':amountPaid', $_POST['amountPaid']);
    $myStatement->bindParam(':balanceResult', $_POST['balanceResult']);
    $myStatement->execute();

    $stmt = $dbConn->prepare("DELETE FROM tblreceipt_items WHERE receipt_id = :id");
    $stmt->bindParam(':id', $id);
    $stmt->execute();

    if(is_array($_POST['item_name'])) {
      foreach($_POST['item_name'] as $key => $item_name) {
        $itemStatement = $dbConn->prepare("INSERT INTO tblreceipt_items (receipt_id, item_name, unit_price, quantity, amount) VALUES (:receipt_id, :item_name, :unit_price, :quantity, :amount)");
    
        $itemStatement->bindParam(':receipt_id', $id);
        $itemStatement->bindParam(':item_name', $item_name);
        $itemStatement->bindParam(':unit_price', $_POST['unit_price'][$key]);
        $itemStatement->bindParam(':quantity', $_POST['quantity'][$key]);
        $itemStatement->bindParam(':amount', $_POST['amount'][$key]);
        $itemStatement->execute();
    }
    
    echo '<script>alert("Receipt was update Successfully...");</script>';
    echo '<script>window.location.replace("manage-receipts.php")</script>';
  }else{
    echo '<script>alert("Something went wrong...");</script>';
  }
}?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Legend Clothing & Stationery</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
  <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
  
  <!-- Vendor CSS Files -->
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
  <link href="assets/vendor/quill/quill.snow.css" rel="stylesheet">
  <link href="assets/vendor/quill/quill.bubble.css" rel="stylesheet">
  <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
  <link href="assets/vendor/simple-datatables/style.css" rel="stylesheet">

  <script src="functions/receipt-functions.js"></script>

  <link href="assets/css/style.css" rel="stylesheet">

</head>
<body>

  <?php include("includes/header.php"); ?>
  <?php include("includes/sidebar.php"); ?>

  <main id="main" class="main">

    <div class="pagetitle">
      <h1> Update Receipt</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item active">Sales</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <?php include("includes/edit-receipt.php"); ?>  

  </main><!-- End #main -->

  <!-- ======= Footer ======= -->
  <footer id="footer" class="footer">
    <div class="copyright">
      &copy; Copyright <strong><span>Legend Clothing Factory and Stationery</span></strong> | All Rights Reserved
    </div>
    <div class="credits">
      Powered by <a href="#">SHIFT LOJIK</a>
    </div>
  </footer><!-- End Footer -->

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <!-- Vendor JS Files -->
  <script src="assets/vendor/apexcharts/apexcharts.min.js"></script>
  <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="assets/vendor/chart.js/chart.umd.js"></script>
  <script src="assets/vendor/echarts/echarts.min.js"></script>
  <script src="assets/vendor/quill/quill.min.js"></script>
  <script src="assets/vendor/simple-datatables/simple-datatables.js"></script>
  <script src="assets/vendor/tinymce/tinymce.min.js"></script>
  <script src="assets/vendor/php-email-form/validate.js"></script>

  <!-- Template Main JS File -->
  <script src="assets/js/main.js"></script>
  <script src="assets/js/bootstrap.min.js"></script>

</body>

</html>
<?php }?>