<?php
session_start();
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);

if (!isset($_SESSION['userEmail']) || strlen($_SESSION['userEmail']) == 0) {
    header('Location: ../user-authentication.php');
    exit();
}
else {
include("includes/DbConnect.php");
  
    if(isset($_POST['updateQuotation'])) {
    $id=intval($_GET['id']); 
    $id=$_GET['id'];
    $quoteNumber = $_POST['quoteNumber'];
    
    $myStatement = $dbConn->prepare("UPDATE quotation SET quoteNumber = :quoteNumber, quoteDate = :quoteDate, coyName = :coyName, coyEmail = :coyEmail, coyPhone = :coyPhone, coyAddress = :coyAddress, customerName = :customerName, customerEmail = :customerEmail, customerPhone = :customerPhone, customerAddress = :customerAddress, currencySymbol = :currencySymbol, grandTotal = :grandTotal, tax = :tax, total = :total WHERE id =:id");

    $myStatement->bindParam(':quoteNumber', $quoteNumber);
    $myStatement->bindParam(':quoteDate', $_POST['quoteDate']);
    $myStatement->bindParam(':coyName', $_POST['coyName']);
    $myStatement->bindParam(':coyEmail', $_POST['coyEmail']);
    $myStatement->bindParam(':coyPhone', $_POST['coyPhone']);
    $myStatement->bindParam(':coyAddress', $_POST['coyAddress']);
    $myStatement->bindParam(':customerName', $_POST['customerName']);
    $myStatement->bindParam(':customerEmail', $_POST['customerEmail']);
    $myStatement->bindParam(':customerPhone', $_POST['customerPhone']);
    $myStatement->bindParam(':customerAddress', $_POST['customerAddress']);
    //$myStatement->bindParam(':remarks', $_POST['remarks']);
    $myStatement->bindParam(':currencySymbol', $_POST['currencySymbol']);
    $myStatement->bindParam(':grandTotal', $_POST['grandTotal']);
    $myStatement->bindParam(':tax', $_POST['tax']);
    $myStatement->bindParam(':total', $_POST['total']);
    $myStatement->bindParam(':id', $id);
    $myStatement->execute();

    $stmt = $dbConn->prepare("DELETE FROM tblquotation_items WHERE quote_id = :id");
    $stmt->bindParam(':id', $id);
    $stmt->execute();

    if(is_array($_POST['description'])) {
    foreach($_POST['description'] as $key => $description) {
      $itemMyStatement = $dbConn->prepare("INSERT INTO tblquotation_items (quote_id, description, itemName, price, quantity, amount) VALUES (:quote_id, :description, :itemName, :price, :quantity, :amount)");

      $itemMyStatement->bindParam(':quote_id', $id);
      $itemMyStatement->bindParam(':description', $description);
      $itemMyStatement->bindParam(':itemName', $_POST['itemName'][$key]);
      $itemMyStatement->bindParam(':price', $_POST['price'][$key]);
      $itemMyStatement->bindParam(':quantity', $_POST['quantity'][$key]);
      $itemMyStatement->bindParam(':amount', $_POST['amount'][$key]);
      $itemMyStatement->execute();
    }
  }
    
    echo '<script>alert("Quotation record was Updated Successfully...");</script>';
    echo '<script>window.location.replace("sales-quotation.php")</script>';
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Legend Clothing Factory</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
  <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>

  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
  <link href="assets/vendor/quill/quill.snow.css" rel="stylesheet">
  <link href="assets/vendor/quill/quill.bubble.css" rel="stylesheet">
  <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
  <link href="assets/vendor/simple-datatables/style.css" rel="stylesheet">

  <script src="functions/quotation-functions.js"></script>
  <link href="assets/css/style.css" rel="stylesheet">

</head>

<body>

  <?php include("includes/header.php"); ?>
  <?php include("includes/sidebar.php"); ?>
  

  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Update Quotation</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item active">Sales</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <?php include("includes/edit-quotation.php"); ?>

  </main><!-- End #main -->

  <!-- ======= Footer ======= -->
  <footer id="footer" class="footer">
    <div class="copyright">
      &copy; Copyright <strong><span>Legend Clothing Factory and Stationery</span></strong> | All Rights Reserved
    </div>
    <div class="credits">
      Powered by <a href="#">SHIFT LOJIK</a>
    </div>
  </footer><!-- End Footer -->

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <!-- Vendor JS Files -->
  <script src="assets/vendor/apexcharts/apexcharts.min.js"></script>
  <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="assets/vendor/chart.js/chart.umd.js"></script>
  <script src="assets/vendor/echarts/echarts.min.js"></script>
  <script src="assets/vendor/quill/quill.min.js"></script>
  <script src="assets/vendor/simple-datatables/simple-datatables.js"></script>
  <script src="assets/vendor/tinymce/tinymce.min.js"></script>
  <script src="assets/vendor/php-email-form/validate.js"></script>

  <!-- Template Main JS File -->
  <script src="assets/js/main.js"></script>

</body>

</html>
<?php }?>